class puppet_enterprise::license(
  $license_key = $puppet_enterprise::params::license_key
) inherits puppet_enterprise::params {
  # We only want to manage the license file if it actually exists. If it
  # doesn't, the file() function will fail, so we still have to pass /dev/null
  # as a default. So we check whether we have any content before making the
  # resource.
  $license_content = file($license_key, '/dev/null')

  if $license_content != undef {
    file { $license_key:
      ensure  => present,
      content => $license_content,
      mode    => '0644',
    }
  }
}
